﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TwoWayDataBinding.aspx.cs" Inherits="TwoWayDataBinding" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:FormView ID="FormView1" runat="server" AllowPaging="True" 
            BackColor="#DEBA84" BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px" 
            CellPadding="3" CellSpacing="2" DataSourceID="SqlDataSource1" GridLines="Both" 
            Width="267px" DataKeyNames="ContactId" DefaultMode="Edit">
            <EditItemTemplate>
                <asp:Label ID="Label1" runat="server" Text="First Name: "></asp:Label>
                <asp:TextBox ID="TextBox1" runat="server"
                 Text='<%#Bind("FirstName") %>'></asp:TextBox>
                <br />
                <asp:Label ID="Label2" runat="server" Text="Last Name: "></asp:Label>
                <asp:TextBox ID="TextBox2" runat="server"
                 Text='<%#Bind("LastName") %>'></asp:TextBox>
                <br />
                <asp:Button ID="Button1" runat="server" Text="Update Info"
                  CommandName="Update"/>
            </EditItemTemplate>
            <EditRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="White" />
            <FooterStyle BackColor="#F7DFB5" ForeColor="#8C4510" />
            <HeaderStyle BackColor="#A55129" Font-Bold="True" ForeColor="White" />
            <PagerStyle ForeColor="#8C4510" HorizontalAlign="Center" />
            <RowStyle BackColor="#FFF7E7" ForeColor="#8C4510" />
        </asp:FormView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:AdventureWorksConnectionString %>" 
            DeleteCommand="DELETE FROM [Person].[Contact] WHERE [ContactID] = @ContactID" 
            InsertCommand="INSERT INTO [Person].[Contact] ([FirstName], [LastName]) VALUES (@FirstName, @LastName)" 
            SelectCommand="SELECT [FirstName], [LastName], [ContactID] FROM [Person].[Contact]" 
            UpdateCommand="UPDATE [Person].[Contact] SET [FirstName] = @FirstName, [LastName] = @LastName WHERE [ContactID] = @ContactID">
            <DeleteParameters>
                <asp:Parameter Name="ContactID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="LastName" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="ContactID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
